Name:           minizip
Version:        2.8.0
Release:        2%{?dist}
Summary:        Minizip contrib in zlib with the latest bug fixes and advanced features

License:        zlib
URL:            https://github.com/nmoinvaz/%{name}
Source0:        https://github.com/nmoinvaz/%{name}/archive/%{version}/%{name}-%{version}.tar.gz
# https://github.com/nmoinvaz/minizip/pull/350
Patch0:         cmake-absolute-paths.patch

BuildRequires:  cmake gcc-c++ libbsd-devel zlib-devel bzip2-devel
Provides:       bundled(aes-gladman)
Provides:       bundled(sha1-gladman)


%description
Minizip zlib contribution that includes:
* AES encryption
* I/O buffering
* PKWARE disk splitting
It also has the latest bug fixes that having been found all over the internet.


%package devel
Summary:    Development files for %{name}
Requires:   %{name}%{?_isa} = %{version}-%{release}
Requires:   cmake zlib-devel


%description devel
Development files for %{name} library.


%prep
%autosetup
rm -rf lib/bzip2


%build
%cmake .
%make_build

%install
%make_install


%ldconfig_scriptlets


%files
%license LICENSE
%doc README.md
%{_libdir}/lib%{name}.so.*


%files devel
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/cmake/%{name}
%{_includedir}/mz*.h
%{_includedir}/unzip.h
%{_includedir}/zip.h

%changelog
* Wed Nov 28 2018 Patrik Novotný <panovotn@redhat.com> 2.8.0-2
- Use absolute paths for install directories

* Wed Nov 28 2018 Patrik Novotný <panovotn@redhat.com> 2.8.0-1
- Update to upstream version 2.8.0

* Sun Oct  7 2018 Orion Poplawski <orion@nwra.com> 2.5.4-1
- Update to 2.5.4

* Thu Aug 30 2018 Patrik Novotný <panovotn@redhat.com> 2.5.0-2
- Provide bundled AES and SHA1 libraries

* Thu Aug 16 2018 Patrik Novotný <panovotn@redhat.com> 2.5.0-1
- Version update. Build againts system bzip2.

* Thu Aug  9 2018 Patrik Novotný <panovotn@redhat.com> 2.3.9-1
- Initial build
